b0f3a09bcedfdad6db5213b7b838a6300215e51a
[wiki.git] / doc / LennyBugsAll
1 = Open RC Bugs in Lenny =
2
3 These are bugs to consider at SIPB's [LennyBugs RC-bug-squashing hackathon] for Lenny.
4
5 Bug list dumped early 2008-12-12.  The pipeline was
6  `$ cd /mit/debathena/debian-bts && ./get_bugs | sort | ./bugs-format-trac`
7
8 Please sort into useful/not useful, add notes, etc.
9
10 = Juicy? =
11
12 All acted on!  See the "Stuff we did" sections below.
13
14
15 = Stuff we did =
16
17 == Fixed by SIPB! ==
18 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=436140 436140]
19 in [http://packages.debian.org/lenny/installation-reports installation-reports]
20 "cdrom: Most of the system's files have a future timestamp causing at least update/config problems."
21 (closed by wdaher)
22
23 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476525 476525] 
24 in [http://packages.debian.org/lenny/python-hid python-hid] 
25 "python-hid: hid module will not import since python policy transition" 
26 (tabbott)
27
28 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507071 507071] 
29 [http://packages.debian.org/lenny/racoon racoon] 
30 "racoon - Fails after upgrade: symbol lookup error: /usr/sbin/racoon: undefined symbol: libipsec_opt" 
31 (fixed by broder)
32
33 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507072 507072] 
34 in [http://packages.debian.org/lenny/ipsec-tools ipsec-tools] 
35 "libipsec0 packaged in ipsec-tools without development headers" 
36 (downgraded by hartmans)
37
38 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504626 504626] 
39 in [http://packages.debian.org/lenny/nvidia-glx nvidia-glx] 
40 "[nvidia-glx] Quietly drops support for several chipsets" 
41 (downgraded by nelhage)
42
43 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502845 502845]
44 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
45 "open-iscsi: no login using amd64"
46 (quentin reassigned; Bastian Blank then lowered priority)
47
48 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508265 508265]
49 in [http://packages.debian.org/lenny/sysprof-module-source sysprof-module-source]
50 "sysprof-module-source: doesn't compile on AMD64 arch (wrong register names)"
51 (patch added by andersk)
52
53 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506057 506057]
54 in [http://packages.debian.org/lenny/splashy splashy]
55 "splashy: Splashy fails to install due to missing default theme"
56 (fix suggestion added by ecprice with help from tabbott and fawkes)
57
58 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506748 506748]
59 in [http://packages.debian.org/lenny/rtorrent rtorrent]
60 "crash rtorrent by scgi-interface (function: 'fi.get_filename_last')"
61 (submitted patch that disables broken RPC; leaving to maintainer to decide if this is what he wants to do)
62
63 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=426465 426465]
64 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
65 "/init exports MODPROBE_OPTIONS=-qb"
66 [[BR]](patch added by price)
67
68 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489501] in [http://packages.debian.org/lenny/zekr zekr] "zekr depends on libxul0d"
69 [[BR]](tweaked and sponsored fix by Asheesh Laroia)
70
71 == Waiting on feedback ==
72
73 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502140 502140]
74 in [http://packages.debian.org/lenny/pam pam]
75 "cannot unlock screen during etch -> lenny transition"
76 (hartmans added comment)
77
78 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=481072 481072]
79 in [http://packages.debian.org/lenny/dk-filter dk-filter]
80 "dk-filter reliably crashes upon connection from postfix"
81 [[BR]](quentin couldn't reproduce)
82
83 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507883 507883]
84 in [http://packages.debian.org/lenny/asterisk asterisk]
85 "asterisk: Very frequent segfaults on startup"
86 (quentin couldn't reproduce)
87
88 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456037 456037]
89 in [http://packages.debian.org/lenny/fenix fenix]
90 "fenix: not 64 bit clean"[[BR]]
91 (ezyang observed upstream's website looks ~dead)
92
93
94
95 = Fun stuff to read =
96
97 == Flamewars ==
98
99 You might enjoy reading these, but they may not be good targets to fix.
100
101 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475737 475737]
102 in [http://packages.debian.org/lenny/otrs2 otrs2]
103 "otrs2 - makes files in /usr writable by non-root"
104
105 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504771 504771]
106 in [http://packages.debian.org/lenny/wordpress wordpress]
107 "wordpress can be subject of delayed attacks via cookies"
108
109 For this one, the actual flameware is off the bug report log.
110
111 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497823 497823]
112 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
113 "longstanding DFSG violations in linux-2.6 package"
114
115 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504747 504747]
116 in [http://packages.debian.org/lenny/gnu-fdisk gnu-fdisk]
117 "gnu-fdisk: wipes out MBR when used on GPT partitions"
118
119
120 == Would have been fun ==
121
122 Entertaining to read but sadly already fixed.
123
124 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506961 506961]
125 in auctex
126 "auctex: reuses old logfile on emacsen upgrades, enabling symlink attack"
127
128
129 == Examples to live up to ==
130
131 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496954 496954]
132 in [http://packages.debian.org/lenny/bind9 bind9]
133 "bind9: Fails to start due to SIGSEGV"
134 [[BR]]This bug sat unfixed for months.  Then someone attacked it in a bug-squashing party,
135 got the first reproducible testcase, and sent that upstream, which swiftly produced a fix.
136
137
138 == Puzzling ==
139
140 Someone please explain what's going on (Debian Project-wise) in these bugs.
141
142 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=323473 323473]
143 in [http://packages.debian.org/lenny/wnpp wnpp]
144 "ITA: mol-drivers-linux -- The Mac-on-Linux emulator - drivers for Linux"
145 [[BR]](Note: The bug is for someone to take over maintainership.  They did.  Then when the bug gets automatically archived, they reply saying to keep it?  I (price) don't understand.)
146
147
148 = Not so ripe for us to fix =
149
150 == Specific hardware ==
151
152 If you have the relevant hardware you could help a lot.
153
154 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=394963 394963]
155 in [http://packages.debian.org/lenny/installation-reports installation-reports]
156 "installation: Problems with dual booting Dell D600 with winXP pro in the first partition (hd0, 0). After installing the Dell Etch Beta 3, Windows fails to boot and I get the blue screen of death."
157
158 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=418972 418972]
159 in [http://packages.debian.org/lenny/installation-reports installation-reports]
160 "cdrom: Etch does not detect CD-ROM on Acer Aspire 7100"
161
162 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478717 478717]
163 in [http://packages.debian.org/lenny/ruby1.9 ruby1.9]
164 "ruby1.9: FTBFS on hppa: make[1]: *** [all] Segmentation fault"
165
166 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499078 499078]
167 in [http://packages.debian.org/lenny/jfsutils jfsutils]
168 "jfsutils: Bus Error when running fsck.jfs on sparc"
169
170 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501804 501804]
171 in [http://packages.debian.org/lenny/installation-reports installation-reports]
172 "installation-reports: Lenny b2 install on ThinkPad X61 - fails to detect hard disk"
173
174 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495603 495603]
175 in [http://packages.debian.org/lenny/installation-reports installation-reports]
176 "grub-installer fails on a FSC Primergy RX300 with a level 5 RAID"
177
178
179 == May be a lot of work ==
180
181 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490171 490171]
182 in [http://packages.debian.org/lenny/rtorrent rtorrent]
183 "rtorrent: random crash"
184 [[BR]](Reproducing this seems to require runnin 20+ torrents for a ~day)
185
186
187 == Unclassified ==
188
189 Please read these reports and figure out what category they belong in.  Or make a new category.
190
191 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504661 504661]
192 in [http://packages.debian.org/lenny/nvidia-glx-legacy-96xx-dev nvidia-glx-legacy-96xx-dev]
193 "nvidia-glx-legacy-96xx-dev: /usr/lib/libGL.so symlink broken"
194
195 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504918 504918]
196 in [http://packages.debian.org/lenny/network-manager network-manager]
197 "Updating to lenny failed when NetworkManager got updated"
198
199 == Unclassified Security ==
200
201 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505563 505563]
202 in [http://packages.debian.org/lenny/icedove icedove]
203 "Mozilla Thunderbird Multiple Vulnerabilities"
204
205 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507165 507165]
206 in [http://packages.debian.org/lenny/xine-lib xine-lib]
207 "xine-lib: CVE-2008-5242 heap-based buffer overflow"
208
209 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507184 507184]
210 in [http://packages.debian.org/lenny/xine-lib xine-lib]
211 "xine-lib: CVE-2008-5246 heap overflow"
212
213 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504977 504977]
214 in [http://packages.debian.org/lenny/ffmpeg-debian ffmpeg-debian]
215 "ffmpeg-debian: Several security issues"
216
217 == Fresh bugs ==
218
219 These are very recent and presumably will get dealt with by the package maintainers without help.
220
221 If you're bored you might look through and see if some are interesting anyway.  Also feel free to draw the line at some other time; I (price) picked December 1, arbitrarily.
222
223
224 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239111 239111]
225 in [http://packages.debian.org/lenny/grub grub]
226 "Freeze when installing GRUB on XFS boot partition"
227 [[BR]](Note: just re-opened 2008-12-12)
228
229 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507558 507558]
230 in [http://packages.debian.org/lenny/hibernate hibernate]
231 "ignores "LockXLock yes" setting in /etc/hibernate/common.conf (e.g. does not lock the screen)"
232
233 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507579 507579]
234 in [http://packages.debian.org/lenny/yocto-reader yocto-reader]
235 "Package installation results in license violation"
236
237 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507706 507706]
238 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
239 "Missing sources for d-i components/kernel of etch-n-half images"
240
241 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507721 507721]
242 in [http://packages.debian.org/lenny/cryptsetup cryptsetup]
243 "cryptsetup: Sometimes initrd ends up missing conf/conf.d/cryptroot file in it"
244
245 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507818 507818]
246 in [http://packages.debian.org/lenny/mldonkey-server mldonkey-server]
247 "mldonkey-server: mlnet does not start, logs syntax error in downloads.ini"
248
249 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507865 507865]
250 in [http://packages.debian.org/lenny/openoffice.org-writer openoffice.org-writer]
251 "openoffice.org-writer: OOo 2.4.x openinig OOo 3 files doesn't show text (2.x implements standard wrong)"
252
253 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507889 507889]
254 in [http://packages.debian.org/lenny/mdadm mdadm]
255 "mdadm: initramfs-tools script is broken, system with root on RAID won't boot"
256
257 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507996 507996]
258 in [http://packages.debian.org/lenny/uim-tcode uim-tcode]
259 "mazegaki conversion cannot be used"
260
261 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508133 508133]
262 in [http://packages.debian.org/lenny/libmad0 libmad0]
263 "audacity: munmap_chunk(): invalid pointer: 0x00000000026f4eb0"
264
265 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508194 508194]
266 in [http://packages.debian.org/lenny/sun-java5 sun-java5]
267 "sun-java5: New upstream release fixes several security issues"
268
269 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508313 508313]
270 in [http://packages.debian.org/lenny/xine-lib xine-lib]
271 "xine-lib: CVE-2008-5234 heap overflow in atom parsing"
272
273 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508322 508322]
274 in [http://packages.debian.org/lenny/wodim wodim]
275 "wodim: Cannot load media.  Cannot init drive."
276
277 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508324 508324]
278 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
279 "ftp.debian.org: gcc-4.2-base is not really required"
280
281 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508434 508434]
282 in [http://packages.debian.org/lenny/ipmitool ipmitool]
283 "ipmitool: Several init script problems due to wrong pidfile name"
284
285 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508443 508443]
286 in [http://packages.debian.org/lenny/imagemagick imagemagick]
287 "convert crash on sparc during compilation of djvulibre (work on x86-64)"
288
289 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508480 508480]
290 in [http://packages.debian.org/lenny/iodbc iodbc]
291 "iodbc: Segfaults when asking for the available DSNs"
292
293 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508392 508392]
294 in [http://packages.debian.org/lenny/dpkg dpkg]
295 "Handling of conflicting conffiles broken"
296
297 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508565 508565]
298 in [http://packages.debian.org/lenny/f2c f2c]
299 "f2c: does not translate properly in EMT64 machines"
300
301 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508551 508551]
302 in [http://packages.debian.org/lenny/merkaartor merkaartor]
303 "merkaartor: crash on startup: QPaintEngine::setSystemClip: Should not be change
304
305 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508589 508589]
306 in [http://packages.debian.org/lenny/linux-2.6 linux-2.6]
307 "ppp: USB Modem removal after PPP exits kills keyboard"
308
309 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508660 508660]
310 in [http://packages.debian.org/lenny/autopkgtest-xenlvm autopkgtest-xenlvm]
311 "adtxenlvm: initscript assumes eth0"
312
313 == Mostly solved? ==
314
315 These look like good progress is being made and they'll get fixed
316 soon. Do we need a DD to do an NMU on any of these?
317
318 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504283 504283]
319 in [http://packages.debian.org/lenny/egroupware-core egroupware-core]
320 "CVE-2007-3215: phpmailer issue (embedded code-copy)"
321
322 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508510 508510]
323 in [http://packages.debian.org/lenny/debget debget]
324 "Can't parse packages.debian.org output anymore"
325
326 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=332782 332782]
327 in [http://packages.debian.org/lenny/release-notes release-notes]
328 "release-notes: Where's the license?"
329
330 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475958 475958]
331 in [http://packages.debian.org/lenny/release-notes release-notes]
332 "document procedure to recover from "/dev/hda became /dev/sda" boot failure"
333 [[BR]](Note: looks done, just not closed.)
334
335 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506883 506883]
336 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
337 "tuxguitar: hard-codes dependencies on libraries"
338
339 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495178 495178]
340 in [http://packages.debian.org/lenny/libjs-jquery libjs-jquery]
341 "libjs-jquery: Should compile jquery.min.js and jquery.pack.js from jquery.js"
342
343 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507059 507059]
344 in [http://packages.debian.org/lenny/initramfs-tools initramfs-tools]
345 "initramfs-tools: Wrong check for udevadm in functions"
346 [[BR]](No maintainer activity since it was reported 2 weeks ago; One-line patch attached.)
347
348 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496334 496334]
349 in [http://packages.debian.org/lenny/mdadm mdadm]
350 "mdadm segfault on --assemble --force with raid10"
351 [[BR]]Seems to be fixed and uploaded, but got reopened for some reason?
352
353 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374644 374644] in [http://packages.debian.org/lenny/xine-ui xine-ui]
354 "xine-ui: ctrl/shift key press emulation implementation broken"
355 [[BR]](Note: There's a patch that may be good enough -- blocking on some guy responding)
356
357 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505237 505237]
358 in [http://packages.debian.org/lenny/snmpd snmpd]
359 "/etc/init.d/snmpd start reports error if already running"
360 (Note: fixed, waiting on an upload?)
361
362 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508257 508257]
363 in [http://packages.debian.org/lenny/twiki twiki]
364 "CVE-2008-5305: TWiki SEARCH variable allows arbitrary shell command execution"
365
366 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508026 508026]
367 in [http://packages.debian.org/lenny/phppgadmin phppgadmin]
368 "phpPgAdmin: Local File Inclusion Vulnerability"
369
370 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501800 501800]
371 in [http://packages.debian.org/lenny/bind9 bind9]
372 "bind9: bind crashes with a list for allow-update"
373
374 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503532 503532]
375 in [http://packages.debian.org/lenny/dbus dbus]
376 "send_requested_reply="true" allows all non-reply messages"
377
378 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506741 506741]
379 in [http://packages.debian.org/lenny/wireshark wireshark]
380 "wireshark: DoS caused by sending a SMTP request with large content"
381
382 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503303 503303]
383 in [http://packages.debian.org/lenny/upgrade-reports upgrade-reports]
384 "etch -> lenny minimal chrrot upgrade fails due to Conflicts/Pre-Depends loop"
385
386 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504524 504524]
387 in [http://packages.debian.org/lenny/sun-java6 sun-java6]
388 "AWT_TOOLKIT=MToolkit causes java to segfault on amd64"
389
390 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503712 503712]
391 in [http://packages.debian.org/lenny/ghostscript ghostscript]
392 "etch->lenny upgrade left the system in broken state"
393
394 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508124 508124]
395 in [http://packages.debian.org/lenny/python-m2crypto python-m2crypto]
396 "Yum crashes when setting-up a CentOS chroot OS"
397
398 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508635 508635]
399 in [http://packages.debian.org/lenny/libexif-gtk-dev libexif-gtk-dev]
400 "libexif-gtk-dev: References no longer existing libXcursor.la"
401
402 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500460 500460]
403 in [http://packages.debian.org/lenny/oss-compat oss-compat]
404 "oss-compat: modules are not loaded"
405
406
407 == Not much of use one can do ==
408
409 (waiting on reporter to reproduce)
410
411 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494293 494293]
412 in [http://packages.debian.org/lenny/installation-reports installation-reports]
413 "installation-reports: Grub error: not a regular file..."
414
415 (this one looks like it'll be removed from Lenny or have amd64 disabled)
416
417 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507021 507021]
418 in [http://packages.debian.org/lenny/helpdeco helpdeco]
419 "Fails to work on amd64"
420
421 (this one looks the maintainer has labeled unreproducible)
422
423 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507242 507242]
424 in [http://packages.debian.org/lenny/amule-daemon amule-daemon]
425 "amule-daemon: causes OOM's by leaking lots of memory"
426
427 (waiting on upstream)
428
429 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506652 506652]
430 in [http://packages.debian.org/lenny/xml2rfc xml2rfc]
431 "Yet another boilerplate change"
432
433 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490999 490999]
434 in [http://packages.debian.org/lenny/libqt3-mt libqt3-mt]
435 "kicker: crashes on startup"
436
437 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507947 507947]
438 in [http://packages.debian.org/lenny/moodle moodle]
439 "moodle: html2text.php is not DFSG-free"
440
441 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495232 495232]
442 in [http://packages.debian.org/lenny/quagga quagga]
443 "quagga: zebra ignores routes added via command line"
444
445 (misc)
446
447 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508091 508091]
448 in [http://packages.debian.org/lenny/tuxguitar tuxguitar]
449 "maintainer address bounces"
450
451 (trivial fix may cause regression, may punt)
452
453 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507003 507003]
454 in [http://packages.debian.org/lenny/open-iscsi open-iscsi]
455 "initiatorname.iscsi should maybe not be in /etc"
456
457 (legal issue involving non-free file)
458
459 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502751 502751]
460 in [http://packages.debian.org/lenny/clamav-getfiles clamav-getfiles]
461 "clamav-getfiles: piuparts test fails: eicar.com md5sum mismatch, file needs downloading"
462
463 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506353 506353]
464 in [http://packages.debian.org/lenny/mailscanner mailscanner]
465 "CVE-2008-5312/3: mailscanner might allow local users to overwrite arbitrary files via a symlink attack"
466
467 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507316 507316]
468 in [http://packages.debian.org/lenny/smarty smarty]
469 "smarty: Non-free logo included in package"
470
471
472 == Special team bugs ==
473
474 These bugs are probably not good targets because the work involved with them at this point is to be done by someone on a special Debian team.
475
476 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451628 451628]
477 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
478 "Packages might enter the archive from security without source"
479
480 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506152 506152]
481 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
482 "libept0 should have priority important"
483
484 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507675 507675]
485 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
486 "python2.5 should have priority standard"
487
488 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507678 507678]
489 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
490 "libsqlite3-0 should have priority standard"
491
492 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507775 507775]
493 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
494 "libkeyutils1 should have priority standard"
495
496 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507778 507778]
497 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
498 "libldap-2.4-2 should have priority standard"
499
500 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507779 507779]
501 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
502 "[Priorities] libustr-1.0-1 -> standard"
503
504 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507780 507780]
505 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
506 "python-sepolgen should have priority standard"
507
508 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507783 507783]
509 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
510 "libxml2 should have priority standard"
511
512 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507784 507784]
513 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
514 "python2.5-minimal should have priority standard"
515
516 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507796 507796]
517 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
518 "libisccfg40 should have priority standard"
519
520 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507797 507797]
521 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
522 "libisccc40 should have priority standard"
523
524 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507798 507798]
525 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
526 "libedit2 should have priority standard"
527
528 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507799 507799]
529 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
530 "libgssglue1 must have priority standard"
531
532 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507800 507800]
533 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
534 "ucf must have priority standard"
535
536 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507801 507801]
537 in [http://packages.debian.org/lenny/ftp.debian.org ftp.debian.org]
538 "libpci3 must have priority standard"
539
540 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497471 497471]
541 in [http://packages.debian.org/lenny/cdimage.debian.org cdimage.debian.org]
542
543 "sarge images have syslinux binaries without source"
544
545 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506977 506977]
546 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
547 "FPC: copyright infringement in pre 2.2.2 sources"
548
549 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507239 507239]
550 in [http://packages.debian.org/lenny/release.debian.org release.debian.org]
551 "RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code"
552
553 This one is fixed in experimental:
554
555
556
557 [http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=503907 503907]
558 in [http://packages.debian.org/lenny/libwebkit-1.0-1 libwebkit-1.0-1]
559 "epiphany-webkit: Crashes at startup whenever I go to a site."
560
561